Bug 1294245 - Error message about missing macro on connect from postfix
Error message about missing macro on connect from postfix
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: spamass-milter (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-25 12:48 EST by Frank Büttner
Modified: 2016-01-22 02:25 EST (History)
1 user (show)

See Also:
Fixed In Version: spamass-milter-0.4.0-4.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-22 02:25:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Büttner 2015-12-25 12:48:07 EST
Description of problem:
When using spamass-milter and spamass-milter-postfix with the default config, an error message it logged in the journal when postfix connect to the socked.

Version-Release number of selected component (if applicable):
spamass-milter-0.4.0-1.el7.x86_64
spamass-milter-postfix-0.4.0-1.el7.noarch

How reproducible:
Every time

Steps to Reproduce:
1. install both packages
2. add "smtpd_milters = unix:/run/spamass-milter/postfix/sock" to the postfix config

Actual results:
This error messages in red in the journal:
spamass-milter[15429]: Could not retrieve sendmail macro "_"!.  Please add it to confMILTER_MACROS_CONNECT for better spamassassin results


Expected results:
Work without this warning.
Comment 1 Paul Howarth 2015-12-27 08:03:31 EST
You'll need to specify "_" in your "milter_connect_macros" parameter in the postfix configuration.

Using "postconf -d" should show you what you currently have for that parameter, and you need to add "_" to that list, e.g.

milter_connect_macros = j {daemon_name} v {if_name} _

spamass-milter requires at least the j and _ macros.

If that works for you, let me know and I'll add it to the README.Postfix.
Comment 2 Frank Büttner 2015-12-27 08:17:23 EST
Yes on the system the "_" macro is missing.
postconf -d milter_connect_macros
milter_connect_macros = j {daemon_name} v
After change it to:
milter_connect_macros = j {daemon_name} v {if_name} _
And restart Postfix it runs without this message.
So I think this was it. :)
Thanks.
So an simply doc note will do it :)
Comment 3 Fedora Update System 2016-01-06 05:01:05 EST
spamass-milter-0.4.0-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b1c0679eaf
Comment 4 Fedora Update System 2016-01-06 22:51:16 EST
spamass-milter-0.4.0-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b1c0679eaf
Comment 5 Fedora Update System 2016-01-22 02:25:14 EST
spamass-milter-0.4.0-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.